--- old/usr/src/cmd/power/powerd.c	Fri Jul 29 00:09:06 2016
+++ new/usr/src/cmd/power/powerd.c	Fri Jul 29 00:09:06 2016
@@ -124,10 +124,12 @@
 	"-h", "-d", ":0", NULL
 };
 
+#ifdef __x86
 static char *autoS3_cmd[] = {
 	"/usr/bin/sys-suspend",
 	"-n", "-d", ":0", NULL
 };
+#endif
 
 static char pidpath[] = PIDPATH;
 static char scratch[PATH_MAX];
@@ -151,7 +153,9 @@
 static int write_pidfile(int, pid_t);
 static int read_cpr_config(void);
 static void system_activity_monitor(void);
+#ifdef __x86
 static void autos3_monitor(void);
+#endif
 static void do_attach(void);
 static void *attach_devices(void *);
 static int powerd_debug;
@@ -324,6 +328,7 @@
 		logerror("Unable to create thread to monitor system activity.");
 	}
 
+#ifdef __x86
 	/*
 	 * Create a new thread to handle autos3 trigger
 	 */
@@ -333,6 +338,7 @@
 	    (void *(*)(void *))autos3_monitor, NULL, THR_DAEMON, NULL) != 0) {
 		logerror("Unable to create thread to monitor autos3 activity.");
 	}
+#endif
 
 	/*
 	 * Block until we receive an explicit terminate signal
@@ -387,6 +393,7 @@
 	} while (errno == EINTR);
 }
 
+#ifdef __x86
 static void
 autos3_monitor(void)
 {
@@ -447,6 +454,7 @@
 		continue;
 	}
 }
+#endif
 
 static int
 read_cpr_config(void)
@@ -1083,7 +1091,7 @@
  */
 static int
 get_prom(int prom_fd, prom_node_t node_name,
-	char *property_name, char *property_value, size_t len)
+    char *property_name, char *property_value, size_t len)
 {
 	union {
 		char buf[PBUFSIZE + sizeof (uint_t)];
